let table;

function preload() {
    table = loadTable(
      	"https://raw.githubusercontent.com/olga-kondr/olga-kondr.github.io/main/csv/top_films_count.csv", 
      	// "https://gist.githubusercontent.com/olga-kondr/c46e48eefeb96c5dbc517286f548605c/raw/6cd1cea9e110e9ee9c40f7a3ee41bfba1461e05e/HighestGrossers.csv",
        "csv", 
        "header"
    );
}

function setup() {
    createCanvas(500, 350);
    background(240);
}

function draw() {
    noStroke();
    fill(150, 150, 150);
    textSize(16);
    text('Most successful distributors by movie of the year.', 80, 40);
    textSize(12);
    text('1995 - 2021 years.', 80, 60);
    stroke(color(0, 0, 0));
    line(150, 300, 150, 100);
    line(150, 300, 450, 300);
    noStroke();
    text('0', 150, 320);
    text('1', 169, 320);
    text('2', 188, 320);
    text('3', 207, 320);
    text('4', 227, 320);
    text('5', 246, 320);
    text('6', 266, 320);
    text('7', 285, 320);
    text('8', 305, 320);
    text('9', 326, 320);
    text('10', 344, 320);
    text('11', 365, 320);
    text('12', 384, 320);
    text('13', 405, 320);
    text('14', 425, 320);

    stroke(color(190, 190, 190));
    line(170, 300, 170, 100);
    line(190, 300, 190, 100);
    line(210, 300, 210, 100);
    line(230, 300, 230, 100);
    line(250, 300, 250, 100);
    line(270, 300, 270, 100);
    line(290, 300, 290, 100);
    line(310, 300, 310, 100);
    line(330, 300, 330, 100);
    line(350, 300, 350, 100);
    line(370, 300, 370, 100);
    line(390, 300, 390, 100);
    line(410, 300, 410, 100);
    line(430, 300, 430, 100);

    noStroke();
    push();
    let axisy = radians(270);
    translate(20, 180);
    rotate(axisy);
    textSize(16);
    text("Distributor", -50, 0);
    textSize(12);
    pop();
    
    for (let r = 0; r < table.getRowCount(); r++) {
      let rowIndex = table.getRowCount() - r - 1;
      textAlign(RIGHT);
      text(table.getString(rowIndex, 0), 140, 138+r*25);
      textAlign(LEFT);
      fill('blue')
      filmNumber = table.get(rowIndex,1); 
      rect(150, 128+r*25, filmNumber*20, 10);
      fill(150, 150, 150);
    }
    textSize(16);
    text('Films', 270, 340);
    textSize(12);

}